Categories:
  - Sports & Health
License: AGPL-3.0-only
AuthorName: QuantumPhysique
AuthorWebSite: https://QuantumPhysique.github.io
SourceCode: https://github.com/QuantumPhysique/trale
IssueTracker: https://github.com/QuantumPhysique/trale/issues
Changelog: https://github.com/QuantumPhysique/trale/blob/HEAD/CHANGELOG.md

AutoName: trale

RepoType: git
Repo: https://github.com/QuantumPhysique/trale.git

Builds:
  - versionName: 0.4.4
    versionCode: 111
    commit: e30dcf046562af5ffafcfd8b40fb2af3cc0f9db1
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.4.4
    versionCode: 112
    commit: e30dcf046562af5ffafcfd8b40fb2af3cc0f9db1
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.4.4
    versionCode: 113
    commit: e30dcf046562af5ffafcfd8b40fb2af3cc0f9db1
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.4.6
    versionCode: 121
    commit: 5d1f0535ee321da0a8222f86755f772eac9abdb2
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.4.6
    versionCode: 122
    commit: 5d1f0535ee321da0a8222f86755f772eac9abdb2
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.4.6
    versionCode: 123
    commit: 5d1f0535ee321da0a8222f86755f772eac9abdb2
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.4.7
    versionCode: 131
    commit: bbe6ed9e5737f82ac0f4f86a7b8194bdeab8a9b8
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.4.7
    versionCode: 132
    commit: bbe6ed9e5737f82ac0f4f86a7b8194bdeab8a9b8
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.4.7
    versionCode: 133
    commit: bbe6ed9e5737f82ac0f4f86a7b8194bdeab8a9b8
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.5.0
    versionCode: 141
    commit: 4b80056d9394c5fef96b8479d1f3e0719fcbc3e2
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.5.0
    versionCode: 142
    commit: 4b80056d9394c5fef96b8479d1f3e0719fcbc3e2
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.5.0
    versionCode: 143
    commit: 4b80056d9394c5fef96b8479d1f3e0719fcbc3e2
    subdir: app
    sudo:
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.6.1
    versionCode: 161
    commit: 81a3123505c3d6d06af286108d5bef3a3deedd22
    subdir: app
    sudo:
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
      - update-java-alternatives --set java-1.11.0-openjdk-amd64
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.6.1
    versionCode: 162
    commit: 81a3123505c3d6d06af286108d5bef3a3deedd22
    subdir: app
    sudo:
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
      - update-java-alternatives --set java-1.11.0-openjdk-amd64
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.6.1
    versionCode: 163
    commit: 81a3123505c3d6d06af286108d5bef3a3deedd22
    subdir: app
    sudo:
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
      - update-java-alternatives --set java-1.11.0-openjdk-amd64
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.6.2
    versionCode: 171
    commit: a53eb19a8d1202ae6478914cb1d58bd31c4d6965
    subdir: app
    sudo:
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
      - update-java-alternatives --set java-1.11.0-openjdk-amd64
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.6.2
    versionCode: 172
    commit: a53eb19a8d1202ae6478914cb1d58bd31c4d6965
    subdir: app
    sudo:
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
      - update-java-alternatives --set java-1.11.0-openjdk-amd64
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"
      - popd
      - mv $repo/trale de.quantumphysique.trale

  - versionName: 0.6.2
    versionCode: 173
    commit: a53eb19a8d1202ae6478914cb1d58bd31c4d6965
    subdir: app
    sudo:
      - echo "deb https://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y -t bullseye openjdk-11-jdk-headless
      - update-java-alternatives --set java-1.11.0-openjdk-amd64
      - mkdir -p /home/runner/
      - chown vagrant /home/runner/
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    binary: https://github.com/quantumphysique/trale/releases/download/v%v/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - app/test
    prebuild:
      - export version="$(sed -E -n -e 's/^.*flutter:\ ">=([0-9.]+)"/\1/p' pubspec.yaml)"
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export repo=/home/runner/work/trale
      - mkdir -p $repo
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get --enforce-lockfile
      - popd
      - mv $repo/trale de.quantumphysique.trale
    scandelete:
      - app/.pub-cache
    build:
      - export repo=/home/runner/work/trale
      - cd ../..
      - mv de.quantumphysique.trale $repo/trale
      - pushd $repo/trale/app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"
      - popd
      - mv $repo/trale de.quantumphysique.trale

AllowedAPKSigningKeys: a26e7b1bc19f7f1181c0f15c96bfb95e999dfd284fe05f967d6045e16c411438

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
VercodeOperation:
  - 1 + %c * 10
  - 2 + %c * 10
  - 3 + %c * 10
UpdateCheckData: app/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.6.2
CurrentVersionCode: 173
